Subject: bug#14736: 24.3; "Insert" key results in question mark mouse cursor and does not send a keyboard event

From: Alan Third <[email-masked]>
Date: Sun, 25 Jul 2021 12:36:10 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Alan Third <[email-masked]> writes:
>
>> Kumaran Santhanam <[email-masked]> writes:
>>
>>> On Mac OS X, the "Insert" key on external keyboards is mapped to
>>> "Help". Therefore, when the "Insert" key is pressed, the mouse cursor
>>> turns into a question mark and the key is not passed to Emacs to
>>> process. This is problematic because users may have keybindings from
>>> Linux and Windows that make use of the "Insert" key.
>>
>> Confirmed as still present in Emacs 25.
>>
>> Is there some use for the "help" key and question-mark pointer?
>>
>> Interestingly, it looks like on recent Apple keyboards "insert" is
>> replaced with fn instead of help.
>
> I don't have an external keyboard for my Apple laptop, so I can't test
> myself.  Is this issue still present in newer versions of Emacs/Macos?

Apparently fn-return should be equivalent. I can't check it right now
though.
-- 
Alan Third